curl --request GET 'https://gyra-core.gyramais.com.br/v1/collections' \
--header 'Authorization: Bearer <token>'
const resposta = await fetch("https://gyra-core.gyramais.com.br/v1/collections", {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
const dados = await resposta.json();
import requests
resposta = requests.get(
"https://gyra-core.gyramais.com.br/v1/collections",
headers={"Authorization": f"Bearer {token}"},
)
dados = resposta.json()

{
"items": [
{
"id": "6612a7f30000000000000051",
"registryId": "6612a7f30000000000000001",
"templateId": "6612a7f30000000000000041",
"templateName": "Onboarding PJ",
"status": "IN_PROGRESS",
"responseMode": "REVIEW",
"channel": "BOTH",
"subjectName": "AURORA COMPONENTES INDUSTRIAIS LTDA",
"subjectDocument": "11444777000161",
"itemsTotal": 5,
"itemsResolved": 3,
"itemsAwaitingOperator": 1,
"dueAt": "2026-09-15T23:59:59.000Z",
"sentAt": "2026-09-05T14:20:00.000Z",
"progress": {
"total": 5,
"resolved": 3,
"validated": 3,
"awaitingOperator": 1,
"rejected": 0,
"pending": 1
},
"hasScrConsent": true,
"scrConsentItemId": "6612a7f30000000000000073",
"signingDueAt": null,
"createdAt": "2026-09-05T14:19:58.000Z",
"updatedAt": "2026-09-06T09:11:20.000Z"
}
],
"total": 1
}{
"code": 400,
"message": "take must not be greater than 100"
}{
"code": 401,
"message": "Token de acesso inválido."
}{
"code": 403,
"message": "Você não tem permissão para acessar este recurso."
}{
"code": 500,
"message": "Internal server error"
}Listar Solicitações
Para responder quem está devendo documento?: filtre por SENT e IN_PROGRESS e olhe o prazo.
Quando usar
Para responder “quem está devendo documento?”: filtre porSENT e IN_PROGRESS e olhe o prazo.
itemsAwaitingOperator diz quantos itens esperam uma decisão sua, que é a fila que trava a solicitação do lado de dentro.
Authorizations
Enter JWT token
Query Parameters
Um ou mais status. Repita o parametro para varios.
DRAFT, SENT, IN_PROGRESS, COMPLETED, EXPIRED, CANCELED Filtra por cadastro.
Filtra pelo CNPJ/CPF do cadastro.
Casa por nome ou documento.
120Filtra por modelo.
Inicio do periodo de criacao, ISO 8601.
Fim do periodo de criacao, ISO 8601.
Deslocamento da pagina.
Tamanho da pagina.
x <= 100Response
Pagina de solicitacoes com status, cadastro, prazo e progresso.
Hide child attributes
Hide child attributes
DRAFT, SENT, IN_PROGRESS, COMPLETED, EXPIRED, CANCELED AUTOMATIC, REVIEW WHATSAPP, EMAIL, BOTH, NONE Quantos itens esperam decisao humana.
A solicitacao tem autorizacao de SCR concedida.
Item da autorizacao de SCR com via assinada, para baixar em GET /v1/collections/{id}/items/{itemId}/signed-document. null quando nao ha PDF.
Prazo de assinatura na Clicksign, quando a solicitacao tem item assinado por ela.

